Subject: [Rats] Location Claim

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 30 Jul 2020 09:00:08 +0000

Dear EAT draft authors,

I believe the location claim defined in the EAT spec can benefit from further clarification.

I think you want to focus on systems that obtain location information via a GPS receiver. Is this correct?

>From the short text I understand that you want to support a 2d point, a 3d point, a circle (i.e. the point with a radius) and a sphere (the 3d version of the circle).
(More about location shapes can be found in RFC 5491.)

If you also want to express uncertainty and confidence then you may want to look at RFC 7459.

You are also interested to express dynamic location. You might want to look at RFC 5962 and add orientation too. Dynamic location is obviously pretty tricky in the context of an attestation based mechanism because dynamic location, as the name indicates, changes frequently. In location-based systems there is often the desire to express some time series data or average the measured data over a certain timeframe.

I would recommend using the terms from the above-mentioned RFCs when it comes to location because they have been again re-used from the OGC, the Open Geospatial Consortium.
This would produce something like:

  *   2d Point: Lat/long
  *   3d Point: lat/long/alt
  *   Circle: lat/long/radius
  *   Sphere: lat/long/alt/radius
  *   For dynamic location add speed, orientation, and heading to the above shapes.

Ciao
Hannes

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Henk Birkholz <[email-masked]>
Date: Thu, 30 Jul 2020 11:23:44 +0200

Hi all,

in general, you might also want to have a look at "The GeoJSON Format" 
(RFC7946) that is based on this work:

> https://geojson.org/geojson-spec

Viele Grüße,

Henk

On 30.07.20 11:00, Hannes Tschofenig wrote:
>  From the short text I understand that you want to support a 2d point, a 
> 3d point, a circle (i.e. the point with a radius) and a sphere (the 3d 
> version of the circle).
> 
> (More about location shapes can be found in RFC 5491..)
> 
> You are also interested to express dynamic location. You might want to 
> look at RFC 5962 and add orientation too. Dynamic location is obviously 
> pretty tricky in the context of an attestation based mechanism because 
> dynamic location, as the name indicates, changes frequently. In 
> location-based systems there is often the desire to express some time 
> series data or average the measured data over a certain timeframe.
> 
> I would recommend using the terms from the above-mentioned RFCs when it 
> comes to location because they have been again re-used from the OGC, the 
> Open Geospatial Consortium.
> 
> IMPORTANT NOTICE: The contents of this email and any attachments are 
> confidential and may also be privileged. If you are not the intended 
> recipient, please notify the sender immediately and do not disclose the 
> contents to any other person, use it for any purpose, or store or copy 
> the information in any medium. Thank you.
> 
> _______________________________________________
> RATS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rats
>